- current_route_path = request.fullpath.match(%r{-/tree/[^/]+/(.+$)}).to_a[1]
- @skip_current_level_breadcrumb = true
- add_page_specific_style 'page_bundles/project'
- add_page_specific_style 'page_bundles/tree'

= content_for :meta_tags do
  = auto_discovery_link_tag(:atom, project_path(@project, rss_url_options), title: "#{@project.name} activity")

= render_if_exists 'shared/ultimate_feature_removal_banner', project: @project
= render partial: 'flash_messages', locals: { project: @project }

= render 'clusters_deprecation_alert'

= render "projects/last_push"

= render "home_panel"

- if can?(current_user, :read_code, @project) && @project.repository_languages.present?
  - add_page_startup_graphql_call('repository/path_last_commit', { projectPath: @project.full_path, ref: current_ref, path: current_route_path || "" })
  = repository_languages_bar(@project.repository_languages)

= render "archived_notice", project: @project
= render_if_exists "projects/marked_for_deletion_notice", project: @project
= render_if_exists "projects/ancestor_group_marked_for_deletion_notice", project: @project

- view_path = @project.default_view

%div{ class: project_child_container_class(view_path) }
  = render view_path, is_project_overview: true
